Berkeley DB version 4.3.29

## com.sleepycat.db
Interface BtreePrefixCalculator

public interface BtreePrefixCalculator

An interface specifying how Btree prefixes should be calculated.

Method Summary
`int` `prefix(Database db, DatabaseEntry dbt1, DatabaseEntry dbt2)` The application-specific Btree prefix callback.

Method Detail

### prefix

    public int prefix(Database db,
                      DatabaseEntry dbt1,
                      DatabaseEntry dbt2)

  The application-specific Btree prefix callback.

  Parameters:
    `db` - The enclosing database handle.
    `dbt1` - A database entry representing a database key.
    `dbt2` - A database entry representing a database key.

Berkeley DB version 4.3.29

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.